﻿


<div ng-controller="contactInformationController">
    <div id="page-heading">
        <ol ng-hide="false" class="breadcrumb">
            <li><a href="#/">{{transaction.Dashboard}}</a></li>
            <li class="active">{{transaction.ContactInformation}}</li>
        </ol>

    </div>

    <div class="panel-loading" ng-show="isDataLoading">
        <div class="panel-loader-dots"></div>
    </div>
    <div class="container-fluid" ng-hide="isDataLoading">
        <div class="row">

            <div class="col-md-12">
                <div class="panel panel-midnightblue ">

                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-6 col-xs-12">
                                <h2>{{transaction.ContactInformation}}</h2>
                            </div>
                            <div class="col-md-6 col-xs-12">
                                <div class="pull-right" style="padding:0;">
                              <!--     <button  class="btn btn-info" ng-click="showseach(isSearch)">
                                        <i class="fa fa-search"></i>
                                        {{transaction.Search}}
                                    </button>--> 
                                    <a ng-show="totalData==0"  class="btn btn-success"  href="#/manageContactInformation">
                                        <i class="fa fa-plus"></i>
                                        {{transaction.AddNew}}
                                    </a>

                                </div>
                            </div>
                        </div>

                        <div ng-show="isSearch">
                            <div class="block-bg">
                                <div class="row">
                                    <div class="col-xs-12 col-md-12">
                                        <div class="form-group">
                                            <label class="control-label"> {{transaction.Name}} {{transaction.City}}</label>
                                            <input type="text" class="form-control" ng-model="model.nameAr">
                                        </div>
                                    </div>

                                    <div class="col-xs-12">
                                        <div class="pull-right">
                                            <button class="btn btn-primary" ng-click="contactInformationSearch()">{{transaction.Search}}</button>
                                            <button class="btn btn-default" ng-click="cancelSearch()">{{transaction.Cancel}}</button>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <br />
                        </div>

                        <table class="table table-striped">
                            <thead>
                               
                            </thead>
                            <tbody ng-repeat="item in data | orderBy:sortKey:sortReverse track by $index">
                                    <!--<tr><td>#</td></tr>
                                    <tr><td>{{item.id}}</td></tr>-->
                                    <tr><td><b>{{transaction.phoneNumber}}</b></td></tr>
                                    <tr><td> {{item.phoneNumber}}</td></tr>
                                    <tr><td><b>{{transaction.Email}}</b></td></tr>
                                    <tr><td>{{item.email}}</td></tr>
                                    <tr><td><b>{{transaction.Facebook}}</b></td></tr>
                                    <tr><td>{{item.facebookUrl}}</td></tr>
                                    <tr><td><b>{{transaction.Twitter}}</b></td></tr>
                                    <tr><td>{{item.twitterUrl}}</td></tr>
                                    <tr><td><b>{{transaction.Instagram}}</b></td></tr>
                                    <tr><td>{{item.instagrameUrl}}</td></tr>
                                    <tr><td><b>{{transaction.Youtube}}</b></td></tr>
                                    <tr><td>{{item.youtubeUrl}}</td></tr>
                                    <tr><td><b>{{transaction.GooglePlus}}</b></td></tr>
                                    <tr><td>{{item.googlePlusUrl}}</td></tr>
                                    <tr><td><b>{{transaction.Linkedin}}</b></td></tr>
                                    <tr><td>{{item.linkedInUrl}}</td></tr> 
                                    <tr><td><b>{{transaction.AboutUS}}</b></td></tr>
                                    <tr><td>{{item.aboutUs}}</td></tr>
                                    <tr><td>{{transaction.Edit}}</td></tr>
                                    <tr><td>
                                        <a class="btn btn-primary " ng-href="#/manageContactInformation?id={{item.id}}" title="{{transaction.Edit}}"> <i class="fa fa-edit"></i></a>
                                        
                                    </tr>
                                
                                <tr >
                                    <td colspan="3" ng-show="totalData==0">
                                       <div class="search-result" ng-hide="LoadNotificationData.length > 0">
                                            <div class="member">
                                                <div class="row" ng-hide="totalData>0 ">
                                                    <div class="col-xs-12 col-md-9">
                                                       <p>{{transaction.NoResult}}</p>
                                                    </div>
                                                </div>
                                            </div> 
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                        <div ng-if="totalData>10">
                            <div class="col-md-10 col-xs-12">
                                <pagination total-items="totalData" ng-model="currentPage" previous-text="السابق" next-text="التالى" ng-change="pageChanged(currentPage,pageSize)" boundary-link-numbers="true" max-size="10" items-per-page="pageSize"></pagination>
                            </div>
                            <div class="col-md-2 col-xs-12">
                                <select class="form-control" ng-model="pageSize" ng-change="pageChanged(currentPage,pageSize)">
                                    <option ng-repeat="item in showResult" value="{{item}}">{{item}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
